Subject: bug#75774: 30.0.92; `treesit-thing-settings' not set properly for typescript-ts-mode

From: Noel Errenil <[email-masked]>
Date: Thu, 23 Jan 2025 19:18:10 +1100

Hi Juri,

Glad to know it gets fixed in a future release, though I wish it could
be fixed in Emacs 30.1.
But I understand there might be non-trivial work for the fix. For now
I can get by and modify the variable in my
persone config.  Thank you for the reply and all the best.

Best,
Errelin

On Thu, Jan 23, 2025 at 6:30 PM Juri Linkov <[email-masked]> wrote:
>
> close 75774 31.0.50
> thanks
>
> > This does explain the behavior I have experienced so far: since
> > `arguments', `identifier' are all recognized as sexp, the pointer
> > moves to and stops after them, which is really not intuitive compared to the
> > more common Emacs's view of sexp: expressions with balanced structures.
>
> In Emacs 31 this is already fixed by defining balanced structures
> in treesit-thing-settings for typescript-ts-mode.